--- old/usr/src/lib/libdisasm/common/libdisasm.c	2015-10-14 16:45:09.884428555 -0400
+++ new/usr/src/lib/libdisasm/common/libdisasm.c	2015-10-14 16:45:09.888020266 -0400
@@ -143,7 +143,9 @@
 void
 dis_handle_destroy(dis_handle_t *dhp)
 {
-	dhp->dh_arch->da_handle_detach(dhp);
+	if (dhp->dh_arch->da_handle_detach != NULL)
+		dhp->dh_arch->da_handle_detach(dhp);
+
 	dis_free(dhp, sizeof (dis_handle_t));
 }
 
@@ -181,7 +183,8 @@
 	 * Allow the architecture-specific code to allocate
 	 * its private data.
 	 */
-	if (arch->da_handle_attach(dhp) != 0) {
+	if (arch->da_handle_attach != NULL &&
+	    arch->da_handle_attach(dhp) != 0) {
 		dis_free(dhp, sizeof (dis_handle_t));
 		/* dis errno already set */
 		return (NULL);
